/**
 * d-utils  version: 4.0.3
 * by ifmiss
 */
"use strict";require("../checkType.js");var o=require("../_tslib-282d34cf.js"),l=require("../isObject.js"),i=/** @class */function(){function i(){}
/**
     * console提示信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @param { string } color  颜色
     * @example
     * Log.console(window.screen, 'window:', 'red')
     */return i.console=function(r,n,e){void 0===n&&(n="数据信息"),void 0===e&&(e=i.defaultColor),l(r)?Array.isArray(r)?console.log("%c"+n,"color: "+e+"; font-weight: bold",r):console.log("%c"+n,"color: "+e+"; font-weight: bold",o.__assign({},r)):console.log("%c"+n,"color: "+e+"; font-weight: bold",r)},
/**
     * default提示信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @example
     * Log.default('date', 'default')
     */
i.default=function(o,l){void 0===l&&(l="[d-utils] log_utils default => "),i.console(o,l,i.defaultColor)},
/**
     * info提示信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @example
     * Log.info('date', 'info')
     */
i.info=function(o,l){void 0===l&&(l="[d-utils] log_utils info => "),i.console(o,l,i.infoColor)},
/**
     * success成功信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @example
     * Log.info('date', 'success')
     */
i.success=function(o,l){void 0===l&&(l="[d-utils] log_utils success => "),i.console(o,l,i.successColor)},
/**
     * error失败信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @example
     * Log.info('date', 'error')
     */
i.error=function(o,l){void 0===l&&(l="[d-utils] log_utils error => "),i.console(o,l,i.errorColor)},
/**
     * warn警告信息
     * @param { any } data  打印的数据信息
     * @param { string } dataTitile  提示文案
     * @example
     * Log.info('date', 'warn')
     */
i.warn=function(o,l){void 0===l&&(l="[d-utils] log_utils warning => "),i.console(o,l,i.warningColor)},
/**
     * @description console的美化样式
     * @param { String } text 内容
     * @param { Object } options 配置项，对象，大小背景，和背景颜色设置
     * @property { Boolean } isMax 是否是较大显示console的高度，如果console的内容较多建议设置为false 默认为小格式
     * @property { Array } colors 背景色列表，是一个从左向右渐变的过程
     * @example
     * Log.beauty('hello world')
     * @example
     * Log.beauty('这是一个console的方法，可以设置背景色的哦', {
     *  isMax: false,
     *  colors: ['#fa709a', '#fee140', '#ffb199']
     * })
     */
i.beauty=function(o,l){if(void 0===o&&(o="未曾遗忘的青春"),l&&"object"!=typeof l)throw new TypeError("options is an object, but found "+typeof l);var i=Object.assign({},{isMax:!1,colors:["#a18cd1","#fbc2eb","#8ec5fc"]},l);i.isMax?console.log("%c"+o,"background-size: 100%;background-image: -moz-linear-gradient(left, "+i.colors.toString()+");background-image: -webkit-linear-gradient(left, "+i.colors.toString()+");background-image: linear-gradient(to right, "+i.colors.toString()+");padding:20px 40px;color:#fff;font-size:18px;"):console.log("%c"+o,"background-size: 100%;background-image: -moz-linear-gradient(left, "+i.colors.toString()+");background-image: -webkit-linear-gradient(left, "+i.colors.toString()+");background-image: linear-gradient(to right, "+i.colors.toString()+");padding:2px 5px;color:#fff;font-size:12px;")},
/**
     * log打印一个group组  默认全部展示折叠
     */
i.group=function(o,l){void 0===o&&(o="[d-utils] log_utils group => "),void 0===l&&(l=i.defaultColor),console.group("%c"+o,"color: "+l+"; font-weight: bold")},
/**
     * log打印一个group组  折叠的
     */
i.groupCollapsed=function(o,l){void 0===o&&(o="[d-utils] log_utils group_collapsed => "),void 0===l&&(l=i.defaultColor),console.groupCollapsed("%c"+o,"color: "+l+"; font-weight: bold")},
/**
     * 关闭一个console.group
     */
i.groupEnd=function(){console.groupEnd()},
/**
     * 打印一个table的表格数据
     * @param data 数组对象数据
     */
i.table=function(o){console.table(o)},
/**
     * 提示色  '#9E9E9E'   默认灰色
     */
i.defaultColor="#9E9E9E",
/**
     * 提示色  '#0099FF'   蓝色
     */
i.infoColor="#0099FF",
/**
     * 提示色  '#00CC99'   绿色
     */
i.successColor="#00CC99",
/**
     * 提示色  '#CC3366'   红色
     */
i.errorColor="#CC0000",
/**
     * 提示色  '#CC9966'   黄色
     */
i.warningColor="#FF9966",i}();module.exports=i;
